org.keycloak.subsystem.extension

## Class Util

- java.lang.Object
- - org.keycloak.subsystem.extension.Util

-     public class Util
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jboss.dmr.ModelNode` | `createAddOperation()`
    `static org.jboss.dmr.ModelNode` | `createAddOperation(org.jboss.as.controller.PathAddress address)`
    `static org.jboss.dmr.ModelNode` | `createEmptyOperation(String operationName, org.jboss.as.controller.PathAddress address)`
    `static org.jboss.dmr.ModelNode` | `createOperation(String operationName, org.jboss.as.controller.PathAddress address)`
    `static org.jboss.dmr.ModelNode` | `createRemoveOperation(org.jboss.as.controller.PathAddress address)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### createAddOperation

          public static org.jboss.dmr.ModelNode createAddOperation(org.jboss.as.controller.PathAddress address)

    - #### createAddOperation

          public static org.jboss.dmr.ModelNode createAddOperation()

    - #### createRemoveOperation

          public static org.jboss.dmr.ModelNode createRemoveOperation(org.jboss.as.controller.PathAddress address)

    - #### createOperation

          public static org.jboss.dmr.ModelNode createOperation(String operationName,
                                                org.jboss.as.controller.PathAddress address)

    - #### createEmptyOperation

          public static org.jboss.dmr.ModelNode createEmptyOperation(String operationName,
                                                     org.jboss.as.controller.PathAddress address)

Copyright © 2015. All Rights Reserved.